Skip to content
Developer

CustomerChatroomMessageReactionController

Chat and notifications3 EndpointsChat / CustomerChatroomMessageReactionController

Add a new ChatroomMessageReaction

POST/api/cp/chat/chatroom_message_reaction/{chatroomMessageIdentifier}

Path parameters

chatroomMessageIdentifierrequiredstring

Request body application/json

  • dataChatroomMessageReaction
    Show fields (2)
    • idinteger

      Primary key of the reaction. Internal ID.

    • emojistring

      Emoji of the reaction.

Responses

200Add a new ChatroomMessageReactionChatroomMessageReaction

Show fields (2)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "emoji": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "emoji": "string"
}

Updates an existing ChatroomMessageReaction entry.

PUT/api/cp/chat/chatroom_message_reaction/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataChatroomMessageReaction
    Show fields (2)
    • idinteger

      Primary key of the reaction. Internal ID.

    • emojistring

      Emoji of the reaction.

Responses

200Update single ChatroomMessageReactionChatroomMessageReaction

Show fields (2)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "emoji": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "emoji": "string"
}

Updates an existing ChatroomMessageReaction entry.

PATCH/api/cp/chat/chatroom_message_reaction/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataChatroomMessageReaction
    Show fields (2)
    • idinteger

      Primary key of the reaction. Internal ID.

    • emojistring

      Emoji of the reaction.

Responses

200Update single ChatroomMessageReactionChatroomMessageReaction

Show fields (2)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "emoji": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "emoji": "string"
}